<html>
<head>
<title>RManNotes: Regular Patterns: Tiling</title>
</head>

<body bgcolor="#f9f9b1" background="notepad.gif" link="801010" vlink="101080" alink="108010"> <img alt="RManNotes" align=center src="header.gif">

<img align=center hspace=10 src="reg_patterns.gif">

<p><img src="black_line.gif"></p>
<p>
<a href="index.html">previous</a>
|
<a href="transitions.html">next</a>
|
<a href="index.html">regular patterns: <b>contents</b></a>
|
<a href="../index.html">rmannotes: <b>top</b></a>
</i>
</p>
<p><img src="black_line.gif"></p>

<h1><a name="tiling">Tiling</a></h1>

The main idea behind regular pattern generation is called
<b><i>tiling</i></b> and is very simple 2 part process -- 
it parallels the process of creating a pattern for a tile floor:
<ol>
<li>devise a pattern for a single tile; and
<li>repeat the tile over the entire surface to create a pattern.
</ol>
<center>
<table>
<tr><td><img src="intro_1.gif"><td><img src="intro_2.gif"></tr>
<tr align=center><td>(1)<td>(2)</tr>
</table>
</center>

<p>
The <i>Regular Patterns</i> section of <i>RManNotes</i> describes how to 
procedurally generate non-random, repeating shapes
in the RenderMan Shading Language. 
Most of the techniques are described in terms 
of 2D patterns but they can be easily applied to 3D patterns as well.
<p>

<p><img src="black_line.gif"></p> <small> <p><i>RManNotes</i> is Copyright &copy; 1995, 1996 Stephen F. May</p> <p> <i>Any comments or suggestions appreciated.</i> <address><a href="http://www.cgrg.ohio-state.edu/~smay">Steve May</a> (<a href="mailto:smay@cgrg.ohio-state.edu">smay@cgrg.ohio-state.edu</a>)</address> </p> </small>

<p align=right><small><i>Last Modified: 3/27/96</i></small></p>

</body>
</html>
